cURL
curl --request POST \
--url https://public.api.live.turrisfi.com/v1/file-documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file=@example-file \
--form 'category=E&O' \
--form downstreamEntityAssociationId=507f1f77bcf86cd799439011const form = new FormData();
form.append('file', '<string>');
form.append('category', 'E&O');
form.append('downstreamEntityAssociationId', '507f1f77bcf86cd799439011');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://public.api.live.turrisfi.com/v1/file-documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v1/file-documents"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"category": "E&O",
"downstreamEntityAssociationId": "507f1f77bcf86cd799439011"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text){
"data": {
"_id": "<string>",
"category": "W9",
"versions": [
{
"s3VersionId": "<string>",
"metadataModel": "<string>",
"metadataId": "<string>",
"metadata": {}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}File Documents
Upload Document
Upload a new file document
POST
/
v1
/
file-documents
cURL
curl --request POST \
--url https://public.api.live.turrisfi.com/v1/file-documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file=@example-file \
--form 'category=E&O' \
--form downstreamEntityAssociationId=507f1f77bcf86cd799439011const form = new FormData();
form.append('file', '<string>');
form.append('category', 'E&O');
form.append('downstreamEntityAssociationId', '507f1f77bcf86cd799439011');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://public.api.live.turrisfi.com/v1/file-documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v1/file-documents"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"category": "E&O",
"downstreamEntityAssociationId": "507f1f77bcf86cd799439011"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text){
"data": {
"_id": "<string>",
"category": "W9",
"versions": [
{
"s3VersionId": "<string>",
"metadataModel": "<string>",
"metadataId": "<string>",
"metadata": {}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Uploads a new file document for a downstream entity. The file must be a PDF.
Supported document categories: W9, E&O, Cyber, Producer Agreement, Crime & Fidelity, and more.
Authorizations
bearerrestricted-access-token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
multipart/form-data
PDF file to upload
Document category
Available options:
W9, E&O, Cyber, Crime & Fidelity, Producer Agreement, Other Contract, Other Document Example:
"E&O"
Downstream entity association ID
Example:
"507f1f77bcf86cd799439011"
Was this page helpful?